# Rosekey バージョン管理について

Rosekeyのバージョン管理体系について、丁寧に説明いたします。Rosekeyでは、製品のアップデートや修正を適切に管理するため、特定の形式でバージョン番号を付けています。

## バージョン形式

バージョン番号は、以下の形式で表されます。
R[年].[日付] ※Rは令和のこと

- `年`: 「R」に続く数字で、リリース年を示します。例えば、「R6」は、リリース年が「6」を意味します。
- `日付`: 月と日を合わせた4桁の数字です。例えば、「0501」は5月1日を意味します。

## オプション

バージョン番号には、必要に応じてオプションが付け加えられることがあります。これは主に次のような状況を示すために使用されます。

### HotFix (hf)

- `hf`: このオプションは「HotFix」を意味し、緊急のバグ修正が含まれていることを示します。

### 更新回数

- 数字: 同じ日に複数回の更新があった場合に、何回目の更新であるかを示す数字が付加されます。

## 例

バージョン番号が「R6.0501」で、その日に二回目の緊急修正があった場合、バージョン番号は次のようになります。

R6.0501.2 or R6.0501.hf2


これは、リリース年が「6」、日付が「5月1日」で、その日に2回目のホットフィックスが適用されたことを意味します。

## まとめ

Rosekeyでは、このようなバージョン管理を通じて、製品の改善と安定性を確保しています。ユーザーの皆様には、常に最新かつ安定したバージョンをお使いいただくことをお勧めします。

ご不明点がございましたら、サポートまでお問い合わせください。